I've seen a few posts (1,2,3) from people recently who are announcing new software uploaded to unstable.

It's my understanding that, even in freeze time, unstable is designed to be for packages which are supposed to be going into the next release. Therefore packages which are intended for the release after that (lenny+1) should not be uploaded to unstable until Lenny is out. Perhaps experimental is more appropriate (that's where I've put a few of my such packages).

Please correct me if I'm wrong.


You're right, in principle, of course.

However, this close before the release (well, technically /after/ the release now, I guess), it doesn't really matter all that much anymore. While we technically didn't release yet at the time those people made those announcements, we should have released by the time these packages have gone past their 10-day delay for testing migration.

As such, I don't think it matters all that much. -- Wouter Verhelst

wo [uter.be]
What could possibly be scheduled already as post Lenny+1, i.e. not compatible with lenny+1 ? ... who could possibly imagine what wouldn't fit in lenny+1 before lenny is out :-/ ... if lenny +1 is in 22 months from now, that lets much room for noveltys... and no need to worry IMHO. -- OlivierBerger
berger_o [www-public.it-sudparis.eu]